CSL 5.2

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Static Public Member Functions
csl::Synch Class Reference

Sync is a cross-thread synchronization object. More...

`#include <ThreadUtilities.h>`

Inheritance diagram for csl::Synch:

List of all members.

## Public Member Functions
| Synch ()
| Constructor.
virtual | ~Synch ()
| Destructor.
virtual int | lock ()=0
virtual int | unlock ()=0
virtual int | condWait ()=0
virtual int | condSignal ()=0

## Static Public Member Functions
static Synch * | MakeSynch ()
| Factory method Utilities.

## Detailed Description

Sync is a cross-thread synchronization object.

Definition at line 52 of file ThreadUtilities.h.

## Constructor & Destructor Documentation

csl::Synch::Synch | ( |  | ) |
| inline

Constructor.

Definition at line 54 of file ThreadUtilities.h.

virtual csl::Synch::~Synch | ( |  | ) |
| inline virtual

Destructor.

Definition at line 55 of file ThreadUtilities.h.

## Member Function Documentation

Synch * Synch::MakeSynch | ( |  | ) |
| static

Factory method Utilities.

Definition at line 44 of file ThreadUtilities.cpp.

Referenced by csl::NullIO::NullIO(), and csl::StdIO::StdIO().

virtual int csl::Synch::lock | ( |  | ) |
| pure virtual

Implemented in csl::SynchPthread.

Referenced by csl::NullIO::FeederFunction(), and csl::StdIO::FeederFunction().

virtual int csl::Synch::unlock | ( |  | ) |
| pure virtual

Implemented in csl::SynchPthread.

Referenced by csl::NullIO::FeederFunction(), and csl::StdIO::FeederFunction().

virtual int csl::Synch::condWait | ( |  | ) |
| pure virtual

Implemented in csl::SynchPthread.

Referenced by csl::NullIO::FeederFunction(), and csl::StdIO::FeederFunction().

virtual int csl::Synch::condSignal | ( |  | ) |
| pure virtual

Implemented in csl::SynchPthread.

Referenced by csl::NullIO::stop().

The documentation for this class was generated from the following files:

- CSL/Utilities/ThreadUtilities.h
- CSL/Utilities/ThreadUtilities.cpp